<?php
if ( ! class_exists( 'IPTesti_Model_Form' )) {

    /**
     * Class for manage post setting
     */
    class IPTesti_Model_Form
    {
        
        /**
         * Save setting bar
         *
         * @param  int $barId
         * @return void
         */
        public function save_setting( $barId )
        {
            $barId   = absint( $barId );
            $data    = $this->_get_setting_data();
            $setting = new IPTesti_Setting( $barId, '__iptesti-form-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
             
            if ( isset( $data['name_label'] )) {
                $setting['name_label'] = apply_filters( 'single_post_title', $data['name_label'] );
            }
            if ( isset( $data['name_placeholder'] )) {
                $setting['name_placeholder'] = apply_filters( 'single_post_title', $data['name_placeholder'] );
            }
            if ( isset( $data['title_label'] )) {
                $setting['title_label'] = apply_filters( 'single_post_title', $data['title_label'] );
            }
            if ( isset( $data['title_placeholder'] )) {
                $setting['title_placeholder'] = apply_filters( 'single_post_title', $data['title_placeholder'] );
            }
            if ( isset( $data['title_on'] )) {
                $setting['title_on'] = apply_filters( 'pre_term_name', $data['title_on'] );
            }
            if ( isset( $data['content_label'] )) {
                $setting['content_label'] = apply_filters( 'single_post_title', $data['content_label'] );
            }
            if ( isset( $data['content_placeholder'] )) {
                $setting['content_placeholder'] = apply_filters( 'single_post_title', $data['content_placeholder'] );
            }
            if ( isset( $data['email_label'] )) {
                $setting['email_label'] = apply_filters( 'single_post_title', $data['email_label'] );
            }
            if ( isset( $data['email_placeholder'] )) {
                $setting['email_placeholder'] = apply_filters( 'single_post_title', $data['email_placeholder'] );
            }
            if ( isset( $data['subtitle_label'] )) {
                $setting['subtitle_label'] = apply_filters( 'single_post_title', $data['subtitle_label'] );
            }
            if ( isset( $data['subtitle_placeholder'] )) {
                $setting['subtitle_placeholder'] = apply_filters( 'single_post_title', $data['subtitle_placeholder'] );
            }
            if ( isset( $data['subtitle_on'] )) {
                $setting['subtitle_on'] = apply_filters( 'pre_term_name', $data['subtitle_on'] );
            }
            if ( isset( $data['subtitle_label'] )) {
                $setting['url_label'] = apply_filters( 'single_post_title', $data['url_label'] );
            }
            if ( isset( $data['url_placeholder'] )) {
                $setting['url_placeholder'] = apply_filters( 'single_post_title', $data['url_placeholder'] );
            }
            if ( isset( $data['url_on'] )) {
                $setting['url_on'] = apply_filters( 'pre_term_name', $data['url_on'] );
            }
            if ( isset( $data['rating_label'] )) {
                $setting['rating_label'] = apply_filters( 'single_post_title', $data['rating_label'] );
            }
            if ( isset( $data['rating_on'] )) {
                $setting['rating_on'] = apply_filters( 'pre_term_name', $data['rating_on'] );
            }
            if ( isset( $data['button_label'] )) {
                $setting['button_label'] = apply_filters( 'single_post_title', $data['button_label'] );
            }
            if ( isset( $data['message_thank'] )) {
                $setting['message_thank'] = $data['message_thank'];
            }
            if ( isset( $data['message_error'] )) {
                $setting['message_error'] = $data['message_error'];
            }
            if ( isset( $data['send_email'] )) {
                $setting['send_email'] = absint( $data['send_email'] );
            }
            if ( isset( $data['admin_email'] )) {
                $setting['admin_email'] = sanitize_email( $data['admin_email'] );
            }
            if ( isset( $data['group'] )) {
                $setting['group'] = absint( $data['group'] );
            }
            return $setting;
        }
    }

}
?>