<?php
if ( ! class_exists( 'IPTesti_Model_Style' )) {

    /**
     * Class for manage style setting
     */
    class IPTesti_Model_Style
    {
        
        /**
         * Save setting bar
         *
         * @param  int $barId
         * @return void
         */
        public function save_setting( $barId )
        {
            $barId   = absint( $barId );
            $data    = $this->_get_setting_data();
            $setting = new IPTesti_Setting( $barId, '__iptesti-style-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            /**
             * Box Settings
             */
            if ( isset( $data['box_position'] )) {
                $setting['box_position'] = apply_filters( 'pre_term_name', $data['box_position'] );
            }
            if ( isset( $data['box_bgcolor_on'] )) {
                $setting['box_bgcolor_on'] = apply_filters( 'pre_term_name', $data['box_bgcolor_on'] );
            }
            if ( isset( $data['box_bgcolor'] )) {
                $setting['box_bgcolor'] = apply_filters( 'pre_term_name', $data['box_bgcolor'] );
            }
            if ( isset( $data['box_color'] )) {
                $setting['box_color'] = apply_filters( 'pre_term_name', $data['box_color'] );
            }
            if ( isset( $data['box_link_color'] )) {
                $setting['box_link_color'] = apply_filters( 'pre_term_name', $data['box_link_color'] );
            }
            if ( isset( $data['box_link_hover_color'] )) {
                $setting['box_link_hover_color'] = apply_filters( 'pre_term_name', $data['box_link_hover_color'] );
            }
            if ( isset( $data['box_border_width'] )) {
                $setting['box_border_width'] = absint( $data['box_border_width'] );
            }
            if ( isset( $data['box_border_color'] )) {
                $setting['box_border_color'] = apply_filters( 'pre_term_name', $data['box_border_color'] );
            }
            if ( isset( $data['box_border_radius'] )) {
                $setting['box_border_radius'] = apply_filters( 'pre_term_name', $data['box_border_radius'] );
            }
            if ( isset( $data['box_shadow'] )) {
                $setting['box_shadow'] = apply_filters( 'pre_term_name', $data['box_shadow'] );
            }
            if ( isset( $data['box_space'] )) {
                $setting['box_space'] = absint( $data['box_space'] );
            }
            if ( isset( $data['box_alignment'] )) {
                $setting['box_alignment'] = apply_filters( 'pre_term_name', $data['box_alignment'] );
            }
             
            /**
             * Bubble Settings
             */
            if ( isset( $data['bubble_bgcolor_on'] )) {
                $setting['bubble_bgcolor_on'] = apply_filters( 'pre_term_name', $data['bubble_bgcolor_on'] );
            }
            if ( isset( $data['bubble_bgcolor'] )) {
                $setting['bubble_bgcolor'] = apply_filters( 'pre_term_name', $data['bubble_bgcolor'] );
            }
            if ( isset( $data['bubble_color'] )) {
                $setting['bubble_color'] = apply_filters( 'pre_term_name', $data['bubble_color'] );
            }
            if ( isset( $data['bubble_border_width'] )) {
                $setting['bubble_border_width'] = absint( $data['bubble_border_width'] );
            }
            if ( isset( $data['bubble_border_color'] )) {
                $setting['bubble_border_color'] = apply_filters( 'pre_term_name', $data['bubble_border_color'] );
            }
            if ( isset( $data['bubble_border_radius'] )) {
                $setting['bubble_border_radius'] = apply_filters( 'pre_term_name', $data['bubble_border_radius'] );
            }
            if ( isset( $data['bubble_shadow'] )) {
                $setting['bubble_shadow'] = apply_filters( 'pre_term_name', $data['bubble_shadow'] );
            }
            if ( isset( $data['bubble_arrow'] )) {
                $setting['bubble_arrow'] = apply_filters( 'pre_term_name', $data['bubble_arrow'] );
            }
            if ( isset( $data['bubble_quote'] )) {
                $setting['bubble_quote'] = apply_filters( 'pre_term_name', $data['bubble_quote'] );
            }
            if ( isset( $data['bubble_alignment'] )) {
                $setting['bubble_alignment'] = apply_filters( 'pre_term_name', $data['bubble_alignment'] );
            }
            
            /**
             * Hover effect Settings
             */
            if ( isset( $data['box_effect'] )) {
                $setting['box_effect'] = apply_filters( 'pre_term_name', $data['box_effect'] );
            }
            if ( isset( $data['bubble_effect'] )) {
                $setting['bubble_effect'] = apply_filters( 'pre_term_name', $data['bubble_effect'] );
            }
            if ( isset( $data['thumbnail_effect'] )) {
                $setting['thumbnail_effect'] = apply_filters( 'pre_term_name', $data['thumbnail_effect'] );
            }
            if ( isset( $data['hover_bgcolor_on'] )) {
                $setting['hover_bgcolor_on'] = apply_filters( 'pre_term_name', $data['hover_bgcolor_on'] );
            }
            if ( isset( $data['hover_bgcolor'] )) {
                $setting['hover_bgcolor'] = apply_filters( 'pre_term_name', $data['hover_bgcolor'] );
            }
            if ( isset( $data['hover_color_on'] )) {
                $setting['hover_color_on'] = apply_filters( 'pre_term_name', $data['hover_color_on'] );
            }
            if ( isset( $data['hover_color'] )) {
                $setting['hover_color'] = apply_filters( 'pre_term_name', $data['hover_color'] );
            }
            if ( isset( $data['hover_shadow'] )) {
                $setting['hover_shadow'] = apply_filters( 'pre_term_name', $data['hover_shadow'] );
            }
            
            /**
             * Content Settings
             */
            if ( isset( $data['show_thumbnail'] )) {
                $setting['show_thumbnail'] = apply_filters( 'pre_term_name', $data['show_thumbnail'] );
            }
            if ( isset( $data['show_subtitle'] )) {
                $setting['show_subtitle'] = apply_filters( 'pre_term_name', $data['show_subtitle'] );
            }
            if ( isset( $data['show_rating'] )) {
                $setting['show_rating'] = apply_filters( 'pre_term_name', $data['show_rating'] );
            }
            if ( isset( $data['show_url'] )) {
                $setting['show_url'] = apply_filters( 'pre_term_name', $data['show_url'] );
            }
            if ( isset( $data['testimonial_italic'] )) {
                $setting['testimonial_italic'] = apply_filters( 'pre_term_name', $data['testimonial_italic'] );
            }
            if ( isset( $data['page_more_title'] )) {
                $setting['page_more_title'] = apply_filters( 'single_post_title', $data['page_more_title'] );
            }
            
            /**
             * Thumbnail Settings
             */
            if ( isset( $data['thumbnail_height'] )) {
                $setting['thumbnail_height'] = absint( $data['thumbnail_height'] );
            }
            if ( isset( $data['thumbnail_width'] )) {
                $setting['thumbnail_width'] = absint( $data['thumbnail_width'] );
            }
            if ( isset( $data['thumbnail_crop'] )) {
                $setting['thumbnail_crop'] = apply_filters( 'pre_term_name', $data['thumbnail_crop'] );
            }
            if ( isset( $data['thumbnail_border_width'] )) {
                $setting['thumbnail_border_width'] = absint( $data['thumbnail_border_width'] );
            }
            if ( isset( $data['thumbnail_border_color'] )) {
                $setting['thumbnail_border_color'] = apply_filters( 'pre_term_name', $data['thumbnail_border_color'] );
            }
            if ( isset( $data['thumbnail_border_radius'] )) {
                $setting['thumbnail_border_radius'] = apply_filters( 'pre_term_name', $data['thumbnail_border_radius'] );
            }
            if ( isset( $data['default_image'] )) {
                $setting['default_image'] = absint( $data['default_image'] );
            }
            
            /**
             * Layout Settings
             */
            if ( isset( $data['layout_type'] )) {
                $setting['layout_type'] = apply_filters( 'pre_term_name', $data['layout_type'] );
            }
            if ( isset( $data['grid_column'] )) {
                $setting['grid_column'] = absint( $data['grid_column'] );
            }
            if ( isset( $data['pagination'] )) {
                $setting['pagination'] = apply_filters( 'pre_term_name', $data['pagination'] );
            }
            if ( isset( $data['pagination_style'] )) {
                $setting['pagination_style'] = apply_filters( 'pre_term_name', $data['pagination_style'] );
            }
            
            if ( isset( $data['slider_effect'] )) {
                $setting['slider_effect'] = apply_filters( 'pre_term_name', $data['slider_effect'] );
            }
            if ( isset( $data['slider_speed'] )) {
                $setting['slider_speed'] = absint( $data['slider_speed'] );
            }
            if ( isset( $data['slider_delay'] )) {
                $setting['slider_delay'] = absint( $data['slider_delay'] );
            }
            if ( isset( $data['slider_navigation'] )) {
                $setting['slider_navigation'] = apply_filters( 'pre_term_name', $data['slider_navigation'] );
            }
            if ( isset( $data['next_icon'] )) {
                $setting['next_icon'] = apply_filters( 'pre_term_name', $data['next_icon'] );
            }
            if ( isset( $data['previous_icon'] )) {
                $setting['previous_icon'] = apply_filters( 'pre_term_name', $data['previous_icon'] );
            }
            
            /**
             * Button Settings
             */
            if ( isset( $data['button_style'] )) {
                $setting['button_style'] = apply_filters( 'pre_term_name', $data['button_style'] );
            }
            if ( isset( $data['button_color'] )) {
                $setting['button_color'] = apply_filters( 'pre_term_name', $data['button_color'] );
            }
            return $setting;
        }
    }

}
?>