<div id="iptesti-manage" class="wrap ipbe-wrap iptesti-admin">
    <div class="ipbe-inner">
        
        <?php
        $group = $this->group;
        if ( $group )
        {
            $this->header( 
                'iptesti-group',
                $group->testi_group_title,
                '<i class="ibe ibe-calendar"></i> Created: ' .
                    '<strong>' . mysql2date( 'd F Y, h:i', $group->testi_group_created ) . '</strong>',
                'pencil',
                array(
                    'title'     => __( 'Add New Group', 'wp_testimony_plus' ),
                    'link'      => 'admin.php?page=iptesti-group&action=create'
                )
            );
        } 
        else 
        {
            $this->header( 
                'iptesti-group',
                __( 'Add New Group', 'wp_testimony_plus' ),
                __( 'Add new testimony group', 'wp_testimony_plus' ),
                'plus-circle',
                false
            );
        }
        
        if ( $group )
        {
            $item_id = $this->group->testi_group_id;
            $form_id = 'iptesti-form-group-update';
            $button  = __( 'Update Group', 'wp_testimony_plus' );
        }
        else
        {
            $item_id = 0;
            $form_id = 'iptesti-form-group-create';
            $button  = __( 'Create Group', 'wp_testimony_plus' );
        }
        $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptesti=1&action=iptesti_group_update';
        ?>
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-manage-wrap container container-fluid">
                
<form id="<?php echo $form_id; ?>" class="ipbe-form" method="post" action="<?php echo $form_action; ?>">
    <input type="hidden" name="group_id" value="<?php echo $item_id; ?>">
    <div class="ipbe-fields">
    
        <?php
        //Input title
        $title = '';
        if ( $group ) {
            $title = stripslashes( $group->testi_group_title );
        }
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-title"><?php _e( 'Title', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-6 col-md-6 col-sm-12">
                <input type="text" id="input-title" class="ipbe-input ipbe-input-full" name="title" value="<?php echo $title; ?>">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The title of the group.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input content
        $content = '';
        if ( $group ) {
            $content = stripslashes( $group->testi_group_content );
        }
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-content"><?php _e( 'Description', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-6 col-md-6 col-sm-12">
                <textarea id="input-content" class="ipbe-input ipbe-input-full" name="content"><?php echo $content; ?></textarea>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The content of the group.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input order
        $order = '';
        if ( $group ) {
            $order = absint( $group->testi_group_order );
        }
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-order"><?php _e( 'Order', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-6 col-md-6 col-sm-12">
                <input type="text" id="input-order" class="ipbe-input ipbe-input-small" name="order" value="<?php echo $order; ?>">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The order of the group.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
    
    <div class="ipbe-manage-footer">
        <div class="row">
            <div class="col-md-6">
                <div class="ipbe-bottom-submit">
                    <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg" id="iptesti-form-save" name="form_save">
                        <i class="ibe ibe-floppy-o"></i>
                        <strong><?php echo $button; ?></strong>
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <?php
                if ( $group ):
                ?>
                <div class="ipbe-bottom-action text-right">
                    <a href="#" class="ipbe-btn ipbe-btn-danger ipbe-btn-lg iptesti-group-item-delete ipbe-del-edit" data-id="<?php echo $group->testi_group_id; ?>">
                        <i class="ibe ibe-trash"></i>
                        <?php _e( 'Delete', 'wp_testimony_plus' ); ?>
                    </a>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
    
    </div>
</form>
                
                </div>
            </div>
        </div>
    </div>
</div>