<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-th-large"></i> 
            <?php _e( 'Layout Options', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        
        <?php
        $layout = 'grid';
        $dsp_grid = $dsp_slider = '';
        if ( $layout == 'grid' ) {
            $dsp_slider = ' style="display:none"';
        } else if ( $layout == 'slider' ) {
            $dsp_grid = ' style="display:none"';
        }
        ?>
        <div id="iptesti-layout-option-grid"<?php echo $dsp_grid; ?>>
        
            <?php
            //Column
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-grid-column"><?php _e( 'Column', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <select name="grid_column" id="input-grid-column">
                        <?php
                        $current = $setting->getSetting( 'grid_column', 1 );
                        $columns = array(
                            1   => __( 'One Column', 'wp_testimony_plus' ),
                            2   => __( 'Two Column', 'wp_testimony_plus' ),
                            3   => __( 'Three Column', 'wp_testimony_plus' )
                        );
                        foreach( $columns as $skey => $label ) {
                            $sltd = '';
                            if ( $skey == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The grid column for testimonials list.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
            <?php
            //Pagination Link
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-pagination"><?php _e( 'Pagination Link', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-btn-onoff">
                        <?php
                        $val = $setting->getSetting( 'pagination', 'true' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="pagination" value="<?php echo $val; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Use pagination links to show testimonials.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>
        
        <div id="iptesti-layout-option-slider"<?php echo $dsp_slider; ?>>
        
            <?php
            //Slider Effect
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-slider-effect"><?php _e( 'Slide Effect', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <select name="slider_effect" id="input-slider-effect">
                        <?php
                        $current = $setting->getSetting( 'slider_effect', 'slide' );
                        $styles  = array(
                            'slide'  => __( 'Slide', 'wp_testimony_plus' ),
                            'fade'   => __( 'Fade', 'wp_testimony_plus' )
                        );
                        foreach( $styles as $skey => $label ) {
                            $sltd = '';
                            if ( $skey == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                        }
                        ?>
                    </select>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The effect of the slider.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Animation Speed
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-slider-speed"><?php _e( 'Slider Animation Speed', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $speed = $setting->getSetting( 'slider_speed', 1000 );
                        ?>
                        <input type="text" id="input-slider-speed" class="ipbe-input ipbe-input-xs" name="slider_speed" value="<?php echo $speed; ?>">
                        <div class="ipbe-input-addon">milliseconds</div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Set slider animation speed in milliseconds.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Animation Delay
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-slider-delay"><?php _e( 'Slider Animation Delay', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $delay = $setting->getSetting( 'slider_delay', 5000 );
                        ?>
                        <input type="text" id="input-slider-delay" class="ipbe-input ipbe-input-xs" name="slider_delay" value="<?php echo $delay; ?>">
                        <div class="ipbe-input-addon">milliseconds</div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set delay between each slides in milliseconds.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Navigation
            ?>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-md-4 col-sm-12">
                    <label for="input-navigation"><?php _e( 'Navigation', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8 col-sm-12">
                    
                    <div class="ipbe-input-group">
                        <?php
                        $layout  = $setting->getSetting( 'slider_navigation', 'control' );
                        $options = array(
                            'control'   => __( 'Control Navigation', 'wp_testimony_plus' ),
                            'direction' => __( 'Direction Navigation', 'wp_testimony_plus' )
                        );
                        foreach( $options as $key => $label ) {
                            $chk = '';
                            if ( $key == $layout ) {
                                $chk = ' checked="checked"';
                            }
                            echo '<p class="mt0"><label class="mr15"><input type="radio" name="slider_navigation" value="' . $key . '"' . $chk . '>' . $label . '</label></p>';
                        }
                        ?>
                        
                    </div>
                
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'The navigation links of the slider.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>
        
    </div>
</div>