<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-image"></i> 
            <?php _e( 'Thumbnail Options', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        
        <?php
        //Height
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-thumbnail-height"><?php _e( 'Height', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-input-group">
                    <?php
                    $height = $setting->getSetting( 'thumbnail_height' );
                    ?>
                    <input type="text" id="input-thumbnail-height" class="ipbe-input ipbe-input-xxs" name="thumbnail_height" value="<?php echo $height; ?>">
                    <div class="ipbe-input-addon">px</div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Set height of the image thumbnail.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Width
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-thumbnail-width"><?php _e( 'Width', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-input-group">
                    <?php
                    $width = $setting->getSetting( 'thumbnail_width' );
                    ?>
                    <input type="text" id="input-thumbnail-width" class="ipbe-input ipbe-input-xxs" name="thumbnail_width" value="<?php echo $width; ?>">
                    <div class="ipbe-input-addon">px</div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Set width of the image thumbnail.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Crop
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-thumbnail-crop"><?php _e( 'Cropping Image', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'thumbnail_crop', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'True', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'False', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="thumbnail_crop" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Set crop of the image thumbnail.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Border
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-thumbnail-border-width"><?php _e( 'Border', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <div class="ipbe-input-group mr5">
                    <?php
                    $bowidth = $setting->getSetting( 'thumbnail_border_width' );
                    $bocolor = $setting->getSetting( 'thumbnail_border_color', '#222222' );
                    ?>
                    <input type="text" id="input-thumbnail-border-width" class="ipbe-input ipbe-input-xxs" name="thumbnail_border_width" value="<?php echo $bowidth; ?>">
                    <div class="ipbe-input-addon">px</div>
                </div>
                <input type="text" class="iptesti-color-picker" id="input-thumbnail-border-color" name="thumbnail_border_color" value="<?php echo $bocolor; ?>" />
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The border that surrounds the thumbnail.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Border radius
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-thumbnail-border-radius"><?php _e( 'Border Radius', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="thumbnail_border_radius" id="input-thumbnail-border-radius">
                <?php
                $current = $setting->getSetting( 'thumbnail_border_radius', 'none' );
                $styles  = array(
                    'none' => __( 'None', 'wp_testimony_plus' ),
                    'sm'   => __( 'Small', 'wp_testimony_plus' ),
                    'md'   => __( 'Medium', 'wp_testimony_plus' ),
                    'lg'   => __( 'Large', 'wp_testimony_plus' ),
                    'ci'   => __( 'Circle', 'wp_testimony_plus' )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The border radius of the thumbnail.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Default Image
        ?>
        <div class="ipbe-field-row ipbe-help-abs ipbe-field-y">
            <div class="ipbe-form-label mb10">
                <label for="input-default-image"><?php _e( 'Default Image', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field">
                <div class="ipbe-upload-image ipbe-clear">
                    <div class="ipbe-upload-preview">
                        <?php
                        $setimg = false;
                        if ( $setting ) {
                            if ( $attach_id = $setting->getSetting( 'default_image' ) ) {
                                $setimg = true;
                                $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                            }
                        }
                        if ( $setimg ) {
                            echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                            echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_testimony_plus' ) . '</div>';
                            $reset_dsp = '';
                        } else {
                            echo '<div class="image"></div>';
                            echo '<div class="none">' . __( 'No image', 'wp_testimony_plus' ) . '</div>';
                            $reset_dsp = ' style="display:none;"';
                        }
                        ?>
                    </div>
                    
                    <div class="ipbe-image-field">
                        <div class="ipbe-select-image">
                            <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_testimony_plus' ); ?></p>
                            <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                              data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                                <i class="ibe ibe-image"></i>
                                <?php _e( 'Select Photo', 'wp_testimony_plus' ); ?>
                            </a>
                            <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                <i class="ibe ibe-ban"></i>
                                <?php _e( 'Clear Photo', 'wp_testimony_plus' ); ?>
                            </a>
                        </div>
                        <input type="hidden" name="upload_type" class="ipbe-upload-type" value="default_image" />
                        <input type="hidden" name="default_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Image are displayed when a user does not specify an image.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
</div>