<?php
$settings = array();
if ( $this->testimony ) {
    $settings = maybe_unserialize( $this->testimony->testi_thumbnail );
}
$config = new IPTesti_Config( $settings );
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-image"></i> 
            <?php _e( 'Thumbnail Settings', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        
        <?php
        $current   = 'image';
        $dsp_image = $dsp_video = '';
        if ( $current == 'image' ) {
            $dsp_video = ' style="display:none;"';
        } else {
            $dsp_image = ' style="display:none;"';
        }
        //Thumbnail Image
        ?>
        <div id="iptesti-thumbnail-type-image"<?php echo $dsp_image; ?>>
        
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-thumbnail"><?php _e( 'Select Image', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                
                    <div class="ipbe-upload-image ipbe-clear">
                        <div class="ipbe-upload-preview">
                            <?php
                            $setimg = false;
                            if ( $config ) {
                                if ( $attach_id = $config->getSetting( 'thumbnail' ) ) {
                                    $setimg = true;
                                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                }
                            }
                            if ( $setimg ) {
                                echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_testimony_plus' ) . '</div>';
                                $reset_dsp = '';
                            } else {
                                echo '<div class="image"></div>';
                                echo '<div class="none">' . __( 'No image', 'wp_testimony_plus' ) . '</div>';
                                $reset_dsp = ' style="display:none;"';
                            }
                            ?>
                        </div>
                        
                        <div class="ipbe-image-field">
                            <div class="ipbe-select-image">
                                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_testimony_plus' ); ?></p>
                                <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                                  data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                                    <i class="ibe ibe-image"></i>
                                    <?php _e( 'Select Photo', 'wp_testimony_plus' ); ?>
                                </a>
                                <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                    <i class="ibe ibe-ban"></i>
                                    <?php _e( 'Clear Photo', 'wp_testimony_plus' ); ?>
                                </a>
                            </div>
                            <input type="hidden" name="upload_type" class="ipbe-upload-type" value="thumbnail" />
                            <input type="hidden" name="thumbnail" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                        </div>
                    </div>

                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Photo thumbnail of the author of this testimonial.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Link Url
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-thumbnail-url"><?php _e( 'Link Url', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <input type="text" id="input-thumbnail-url" class="ipbe-input ipbe-input-full" name="thumbnail_url" value="<?php echo $config->getSetting( 'thumbnail_url' ); ?>">

                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Url of the photo thumbnail.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Link Url target
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4">
                    <label for="input-thumbnail-url-target"><?php _e( 'Open URL in New Tab', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8">

                    <div class="ipbe-btn-onoff mr10">
                        <?php
                        $target = $config->getSetting( 'thumbnail_url_target', 'false' );
                        if ( $target == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="thumbnail_url_target" value="<?php echo $target; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set whether to open the page in a new tab when a link clicked.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>
        
        <?php
        //Thumbnail Video
        ?>
        <div id="iptesti-thumbnail-type-video"<?php echo $dsp_video; ?>>
        
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-thumbnail-preview"><?php _e( 'Preview', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                
                    <div class="ipbe-upload-image ipbe-clear">
                        <div class="ipbe-upload-preview">
                            <?php
                            $setimg = false;
                            if ( $config ) {
                                if ( $attach_id = $config->getSetting( 'thumbnail_preview' ) ) {
                                    $setimg = true;
                                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                }
                            }
                            if ( $setimg ) {
                                echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_testimony_plus' ) . '</div>';
                                $reset_dsp = '';
                            } else {
                                echo '<div class="image"></div>';
                                echo '<div class="none">' . __( 'No image', 'wp_testimony_plus' ) . '</div>';
                                $reset_dsp = ' style="display:none;"';
                            }
                            ?>
                        </div>
                        
                        <div class="ipbe-image-field">
                            <div class="ipbe-select-image">
                                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_testimony_plus' ); ?></p>
                                <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                                  data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                                    <i class="ibe ibe-image"></i>
                                    <?php _e( 'Select Photo', 'wp_testimony_plus' ); ?>
                                </a>
                                <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                    <i class="ibe ibe-ban"></i>
                                    <?php _e( 'Clear Photo', 'wp_testimony_plus' ); ?>
                                </a>
                            </div>
                            <input type="hidden" name="upload_type" class="ipbe-upload-type" value="thumbnail_preview" />
                            <input type="hidden" name="thumbnail_preview" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                        </div>
                    </div>

                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Video preview thumbnail of this testimonial.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Video Url
            ?>
            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                <div class="ipbe-form-label">
                    <label for="input-thumbnail-video-url"><?php _e( 'Video Url', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field">
                    <input type="text" id="input-thumbnail-video-url" class="ipbe-input ipbe-input-full" name="thumbnail_video_url" value="<?php echo $config->getSetting( 'thumbnail_video_url' ); ?>">

                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Url of the video thumbnail.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Video Url target
            ?>
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-4">
                    <label for="input-thumbnail-video-target"><?php _e( 'Open video in Modal Window', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-8">

                    <div class="ipbe-btn-onoff mr10">
                        <?php
                        $target = $config->getSetting( 'thumbnail_video_target', 'false' );
                        if ( $target == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="thumbnail_video_target" value="<?php echo $target; ?>" />
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set whether to open the video in a modal window or just in other tab.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    
    </div>
</div>