<?php
if ( empty( $this->testimony )) {
    return;
}
$testimony = $this->testimony;
$setting   = $this->style_setting;
$class     = 'iptesti_item';
$position  = $setting->getSetting( 'box_position', 'top' );
$class    .= ' iptesti_box_' . $position;
//
//Effect
$effect = $setting->getSetting( 'box_effect', 'none' );
$class .= ' hvr-' . $effect;

$attr = '';
if ( $this->schema ) {
    $attr = ' itemprop="review" itemscope itemtype="http://schema.org/Review"';
}

$settings = array();
if ( $testimony->testi_thumbnail ) {
    $settings = maybe_unserialize( $testimony->testi_thumbnail );
}
$config = new IPTesti_Config( $settings );
$this->thumbnail_config = $config;
?>
<div id="iptesti-item-<?php echo $testimony->testi_id; ?>" class="<?php echo $class; ?>"<?php echo $attr; ?>>
    <div class="iptesti_item_inner iptesti_clear">
        <?php
        if ( $position == 'bottom' ) {
            $this->view( 'testimony/item/bubble' );
            $this->view( 'testimony/item/box' );
        } else {
            $this->view( 'testimony/item/box' );
            $this->view( 'testimony/item/bubble' );
        }
        if ( $this->schema ) :
        ?>
            <div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">
                <meta itemprop="worstRating" content = "1">
                <meta itemprop="ratingValue" content = "<?php echo $this->testimony->testi_rating; ?>">
                <meta itemprop="bestRating" content="5">
            </div>
            <meta itemprop="datePublished" content="<?php echo mysql2date( 'F d, Y', $this->testimony->testi_created ); ?>"/>
        
        <?php
        endif;
        ?>
    </div>
</div>

<?php
$vidurl = $config->getSetting( 'thumbnail_video_url' );
$modal  = $config->getSetting( 'thumbnail_video_target', 'false' );
if ( $modal == 'true' && ! empty( $vidurl ) ) :
    $fixurl = $this->fix_youtube_url( $vidurl );
?>
<div id="iptesti_thumb_video_<?php echo $testimony->testi_id; ?>" class="ipbe-ui-modal" style="display: none;">
    <div class="ipbe-ui-modal-main">
        <div id="iptesti_sceditor_form" class="ipbe-ui-modal-inner">
            <div class="ipbe-ui-modal-title">
                <h3><?php _e( 'Thumbnail Video', 'wp_testimony_plus' ); ?></h3>
                <div class="ipbe-ui-close">
                    <a class="iptesti-ui-close-link" href="#">x</a>
                </div>
            </div>
            <div class="ipbe-ui-modal-content iptesti_modal_video">
                <div class="iptesti_modal_video_frame">
                    <iframe width="460" height="320" src="<?php echo $fixurl; ?>" frameborder="0" allowfullscreen></iframe>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
endif;
?>