<?php
$testimony = $this->testimony;
$setting   = $this->style_setting;
$position  = $setting->getSetting( 'box_position', 'top' );

//
//Class
//
$class = 'iptesti_bubble_inner';
//
//Shadow
$shadow = $setting->getSetting( 'bubble_shadow', 'none' );
$class .= ' iptesti_shadow_' . $shadow;
//
//Radius
$shadow = $setting->getSetting( 'bubble_border_radius', 'none' );
$class .= ' iptesti_radius_' . $shadow;
//
//Arrow
if ( $setting->getSetting( 'bubble_arrow', 'true' ) == 'true' ){
    $class .= ' iptesti_arrow_on';
} else {
    $class .= ' iptesti_arrow_off';
}
//
//Quote
$use_quote = $setting->getSetting( 'bubble_quote', 'true' );
if ( $use_quote == 'true' ){
    $class .= ' iptesti_quote_on';
} else {
    $class .= ' iptesti_quote_off';
}
//
//Align
$align  = $setting->getSetting( 'bubble_alignment', 'left' );
$class .= ' iptesti_align_' . $align;
?>
<div class="iptesti_item_bubble">
    <div class="<?php echo $class; ?>">
        <?php
        if ( $use_quote == 'true' ) {
            if ( $align == 'right' ) {
                echo '<i class="ibe ibe-quote-left"></i>';
            } else {
                echo '<i class="ibe ibe-quote-right"></i>';
            }
        }
        
        if ( ! empty( $testimony->testi_title )) :
        ?>
        <div class="iptesti_item_title">
            <?php echo $testimony->testi_title; ?>
        </div>
        <?php
        endif;
        
        $cstyle = '';
        if ( $setting->getSetting( 'testimonial_italic', 'true' ) == 'true' ) {
            $cstyle = ' style="font-style:italic;"';
        }
        ?>
        <div class="iptesti_item_content"<?php echo $cstyle; ?>>
            <?php echo $testimony->testi_content; ?>
        </div>
        <?php
        $settings = array();
        if ( ! empty( $testimony->testi_page ) ) {
            $settings = maybe_unserialize( $testimony->testi_page );
        }
        $config = new IPTesti_Config( $settings );
        
        if ( ! empty( $testimony->testi_page ) && ! isset( $this->in_single ) ) :
            $link    = $this->get_casestudy_link( $testimony, $this->style );
            $label   = $setting->getSetting( 'page_more_title', __( 'Read more', 'wp_testimony_plus' ));
            
            $class   = 'iptesti-btn';
            $class  .= ' iptesti-btn-' . $setting->getSetting( 'button_style', 'flat' );
            $class  .= ' iptesti-btn-' . $setting->getSetting( 'button_color', 'clean' );
        ?>
        <div class="iptesti_item_button">
            <a class="<?php echo $class; ?>" href="<?php echo $link; ?>"><?php echo $label; ?></a>
        </div>
        <?php
        endif;
        ?>
    </div>
</div>