<?php
if ( ! class_exists( 'IPTesti_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPTesti_Admin
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function index()
        {
            wp_enqueue_media();
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
                
            if ( isset( $_GET['action'] ) && $_GET['action'] == 'create' ) {
                $this->_manage_testimony();
            } elseif ( isset( $_GET['action'] ) && $_GET['action'] == 'edit' ) 
            {
                if ( empty( $_GET['id'] )) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $id    = absint( $_GET['id'] );
                $model = new IPTesti_Model();
                if ( ! $testimony = $model->getTestimony( $id ) ) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $this->_manage_testimony( $testimony );
            } 
            else {
                $this->view( 'testimony' );
            }
        }
        
        /**
         * Show content for manage testimony
         *
         * @return void
         */
        protected function _manage_testimony( $testimony = false )
        {
            $testimonyId = 0;
            if ( $testimony ) {
                $testimonyId = $testimony->ID;
            }
            $this->testimony    = $testimony;
            $this->testimonyId  = $testimonyId;
            
            $this->view( 'testimony/manage' );
        }
        
        /**
         * Show content for manage group
         *
         * @return void
         */
        public function group()
        {                
            if ( isset( $_GET['action'] ) && $_GET['action'] == 'create' ) {
                $this->_manage_group();
            } elseif ( isset( $_GET['action'] ) && $_GET['action'] == 'edit' ) 
            {
                $model = new IPTesti_Model();
                if ( empty( $_GET['id'] )) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $id = absint( $_GET['id'] );
                if ( ! $group = $model->getGroup( $id ) ) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $this->_manage_group( $group );
            } 
            else {
                $this->view( 'group' );
            }
        }
        
        /**
         * Show content for manage group
         *
         * @param  array $group
         * @return void
         */
        protected function _manage_group( $group = false )
        {
            $groupId = 0;
            if ( $group ) {
                $groupId = $group->ID;
            }
            $this->group   = $group;
            $this->groupId = $groupId;
            
            $this->view( 'group/manage' );
        }
        
        /**
         * Show content for manage style
         *
         * @return void
         */
        public function style()
        {
            wp_enqueue_media();
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
                
            if ( isset( $_GET['action'] ) && $_GET['action'] == 'create' ) {
                $this->_manage_style();
            } elseif ( isset( $_GET['action'] ) && $_GET['action'] == 'edit' ) 
            {
                if ( empty( $_GET['id'] )) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $id = absint( $_GET['id'] );
                if ( ! $style = get_post( $id ) ) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $this->_manage_style( $style );
            } 
            else {
                $this->view( 'style' );
            }
        }
        
        /**
         * Show content for manage style
         *
         * @param  array $style
         * @return void
         */
        protected function _manage_style( $style = false )
        {
            $styleId = 0;
            if ( $style ) {
                $styleId = $style->ID;
            }
            $setting = new IPTesti_Setting( $styleId, '__iptesti-style-setting' );
            
            $this->setting = $setting;
            $this->style   = $style;
            $this->styleId = $styleId;
            
            $this->view( 'style/manage' );
        }
        
        /**
         * Show content for manage form
         *
         * @return void
         */
        public function form()
        {   
            if ( isset( $_GET['action'] ) && $_GET['action'] == 'create' ) {
                $this->_manage_form();
            } elseif ( isset( $_GET['action'] ) && $_GET['action'] == 'edit' ) 
            {
                if ( empty( $_GET['id'] )) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $id = absint( $_GET['id'] );
                if ( ! $form = get_post( $id ) ) {
                    wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_testimony_plus') );
                }
                $this->_manage_form( $form );
            } 
            else {
                $this->view( 'form' );
            }
        }
        
        /**
         * Show content for manage form
         *
         * @return void
         */
        protected function _manage_form( $form = false )
        {
            $formId = 0;
            if ( $form ) {
                $formId = $form->ID;
            }
            $setting = new IPTesti_Setting( $formId, '__iptesti-form-setting' );
            
            $this->setting = $setting;
            $this->form    = $form;
            $this->formId  = $formId;
            
            $this->view( 'form/manage' );
        }
        
        /**
         * Show content for setting administrator
         *
         * @return void
         */
        public function setting()
        {
            $this->view( 'setting' );
        }
        
        /**
         * Get admin view file
         *
         * @param string $filename
         * @return void
         */
        public function view( $filename )
        {
            $path  = IPTESTI_PATH . 'app/views/admin/';
            $path .= strtolower( $filename ) . '.php'; 
            if ( file_exists( $path )) {
                include( $path );
            }
        }
        
        /**
         * Admin header template
         *
         * @param string $page
         * @return void
         */
        public function header( $page, $title = '', $info = '', $icon = '', $isAdd = true )
        {
            $struct = array(
                'iptesti' => array(
                    'title'     => __( 'Testimonies', 'wp_testimony_plus' ),
                    'info'      => __( 'See all user testimonies', 'wp_testimony_plus' ),
                    'icon'      => 'comments',
                    'add'       => array(
                        'title'     => __( 'Add New Testimony', 'wp_testimony_plus' ),
                        'link'      => 'admin.php?page=iptesti&action=create'
                    )
                ),
                'iptesti-group' => array(
                    'title'     => __( 'Groups', 'wp_testimony_plus' ),
                    'info'      => __( 'Manage group for your testimonies', 'wp_testimony_plus' ),
                    'icon'      => 'folder',
                    'add'       => array(
                        'title'     => __( 'Add Group', 'wp_testimony_plus' ),
                        'link'      => 'admin.php?page=iptesti-group&action=create'
                    )
                ),
                'iptesti-style' => array(
                    'title'     => __( 'Styles', 'wp_testimony_plus' ),
                    'info'      => __( 'Manage testimony styles that adding in your website', 'wp_testimony_plus' ),
                    'icon'      => 'paint-brush',
                    'add'       => array(
                        'title'     => __( 'Add New Style', 'wp_testimony_plus' ),
                        'link'      => 'admin.php?page=iptesti-style&action=create'
                    )
                ),
                'iptesti-form' => array(
                    'title'     => __( 'Forms', 'wp_testimony_plus' ),
                    'info'      => __( 'Manage testimony front-end form', 'wp_testimony_plus' ),
                    'icon'      => 'clipboard',
                    'add'       => array(
                        'title'     => __( 'Add New Form', 'wp_testimony_plus' ),
                        'link'      => 'admin.php?page=iptesti-form&action=create'
                    )
                ),
                'iptesti-setting' => array(
                    'title'     => __( 'Settings', 'wp_testimony_plus' ),
                    'info'      => __( 'Set the testimonial settings', 'wp_testimony_plus' ),
                    'icon'      => 'cog',
                    'add'       => false
                )
            );
        ?>
            <div class="ipbe-top">
                <div class="ipbe-header">
                    <div class="ipbe-page-title">
                        <h1>
                            <i class="ibe ibe-comment"></i>
                            <span>
                                <strong><span>WP</span> Testimony Plus</strong>
                                <em><?php _e( 'WordPress plugin that is used to manage user testimony in your website','wp_testimony_plus' ); ?></em>
                            </span>
                        </h1>
                    </div>
                </div>
                <div class="ipbe-nav">
                    <ul>
                    <?php
                    $addButton = false;
                    if ( array_key_exists( $page, $struct ))
                    {
                        if ( empty( $title )) {
                            $title = $struct[$page]['title'];
                        }
                        if ( empty( $info )) {
                            $info  = $struct[$page]['info'];
                        }
                        if ( empty( $icon )) {
                            $icon  = $struct[$page]['icon'];
                        }
                        if ( ! empty( $struct[$page]['add'] ) && $isAdd ) {
                            $addButton = $struct[$page]['add'];
                        }
                    }
                    foreach( $struct as $name => $data ) 
                    {
                        $active = '';
                        if ( $page == $name ) {
                            $active = ' class="active"';
                        }
                        echo '<li' . $active . '>' .
                                '<a href="admin.php?page=' . $name . '">' .
                                    '<i class="ibe ibe-' . $data['icon'] . '"></i>' .
                                    $data['title'] .
                                '</a>' .
                            '</li>';
                    }
                    ?>
                    </ul>
                </div>
                <div class="ipbe-page-info">
                    <div class="container-fluid container">
                        <div class="row">
                            <div class="col-md-8 ipbe-page-info-main">
                                <i class="ibe ibe-<?php echo $icon; ?>"></i>
                                <div class="ipbe-info">
                                    <h2><?php echo $title; ?></h2>
                                    <h3><?php echo $info; ?></h3>
                                </div>
                            </div>
                            <div class="col-md-4 text-right">
                                <?php
                                if ( $addButton ) :
                                ?>
                                <a href="<?php echo $addButton['link']; ?>" class="ipbe-btn ipbe-btn-success ipbe-btn-lg">
                                    <i class="ibe ibe-plus"></i>
                                    <?php echo $addButton['title']; ?>
                                </a>
                                <?php
                                endif;
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}