<?php
if ( ! class_exists( 'IPTesti_Db' )) {

    /**
     * Class for manage plugin database
     */
    class IPTesti_Db
    {
        /**
         * Take db version
         *
         * @var string
         */
        public $version = '1.0';
        
        /**
         * Class construct
         *
         * @return void
         */
        public function __construct()
        {
            global $iptesti_db_version;
            $iptesti_db_version = $this->version;
        }
        
        /**
         * Table testimony
         *
         * @return string
         */
        public function queryTestimony()
        {
            global $wpdb;
            
            $table_name = $wpdb->prefix . 'iptesti_testimony';
            $sql = "CREATE TABLE $table_name (
                        testi_id                int(11)             NOT NULL AUTO_INCREMENT,
                        testi_group_id          int(11)             NOT NULL,
                        testi_created           datetime            NOT NULL,
                        testi_slug              varchar(255)        NOT NULL,
                        testi_title             varchar(255)        NOT NULL,
                        testi_content           text                NOT NULL,
                        testi_name              varchar(255)        NOT NULL,
                        testi_url               varchar(255)        NOT NULL,
                        testi_info              varchar(255)        NOT NULL,
                        testi_info_url          varchar(255)        NOT NULL,
                        testi_info_url_target   tinyint             NOT NULL,
                        testi_email             varchar(255)        NOT NULL,
                        testi_thumbnail         text                NOT NULL,
                        testi_page              int(11)             NOT NULL,
                        testi_rating            smallint  DEFAULT 0 NOT NULL,
                        testi_status            smallint  DEFAULT 0 NOT NULL,
                        testi_order             smallint  DEFAULT 0 NOT NULL,
                    PRIMARY KEY  testimony_id (testi_id)
            );";

            return $sql;
        }
        
        /**
         * Table group
         *
         * @return string
         */
        public function queryGroup()
        {
            global $wpdb;
            
            $table_name = $wpdb->prefix . 'iptesti_group';
            $sql = "CREATE TABLE $table_name (
                        testi_group_id      int(11)             NOT NULL AUTO_INCREMENT,
                        testi_group_created datetime            NOT NULL,
                        testi_group_slug    varchar(255)        NOT NULL,
                        testi_group_title   varchar(255)        NOT NULL,
                        testi_group_content text                NOT NULL,
                        testi_group_order   int(11)             NOT NULL,
                    PRIMARY KEY  testi_group_id (testi_group_id)
            );";

            return $sql;
        }
        
        /**
         * Database query
         *
         * @return string
         */
        public function query()
        {
            $sql  = '';
            $sql .= $this->queryTestimony();
            $sql .= $this->queryGroup();
            return $sql;
        }
        
        /**
         * install
         *
         * @return void
         */
        public function install()
        {
            global $wpdb, $iptesti_db_version;
            $installed_ver = get_option( "iptesti_db_version" );
            
            if( ! $installed_ver || ( $installed_ver != $iptesti_db_version ) ) {

                $sql = $this->query();

                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );

                update_option( "iptesti_db_version", $iptesti_db_version );
            }
        }
        
        /**
         * update
         *
         * @return void
         */
        public function update()
        {
            global $iptesti_db_version;
            if ( get_site_option( 'iptesti_db_version' ) != $iptesti_db_version ) {
                $this->install();
            }
        }
    }
}
?>