<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-square"></i> 
            <?php _e( 'Main Box Style Options', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
    
        <?php
        //Position
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-lg-4 col-md-4 col-sm-12">
                <label for="input-box-position"><?php _e( 'Position', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-8 col-md-8 col-sm-12">
                <select id="input-box-position" name="box_position">
                <?php
                $position = stripslashes( $setting->getSetting( 'box_position' ) );
                $options  = array(
                    'left'    => __( 'Left', 'wp_testimony_plus' ),
                    'right'   => __( 'Right', 'wp_testimony_plus' ),
                    'top'     => __( 'Top', 'wp_testimony_plus' ),
                    'bottom'  => __( 'Bottom', 'wp_testimony_plus' )
                );
                foreach( $options as $key => $label )
                {
                    $sltd = '';
                    if ( $key == $position ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Position of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Background Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-bgcolor"><?php _e( 'Background Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <div class="ipbe-btn-onoff mr5">
                    <?php
                    $val = $setting->getSetting( 'box_bgcolor_on', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Color', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Transparent', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="box_bgcolor_on" value="<?php echo $val; ?>" />
                </div>
                
                <input type="text" class="iptesti-color-picker" id="input-box-bgcolor" name="box_bgcolor" value="<?php echo $setting->getSetting( 'box_bgcolor', '#f9f9f9' ); ?>" />
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The background color of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-color"><?php _e( 'Text Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <input type="text" class="iptesti-color-picker" id="input-box-color" name="box_color" value="<?php echo $setting->getSetting( 'box_color', '#333333' ); ?>" />
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The text color of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Link Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-link-color"><?php _e( 'Link Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <input type="text" class="iptesti-color-picker" id="input-box-link-color" name="box_link_color" value="<?php echo $setting->getSetting( 'box_link_color', '#333333' ); ?>" />
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The text color of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Link hover Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-link-hover-color"><?php _e( 'Link Hover Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <input type="text" class="iptesti-color-picker" id="input-box-link-hover-color" name="box_link_hover_color" value="<?php echo $setting->getSetting( 'box_link_hover_color', '#222222' ); ?>" />
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The text color of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Border
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-border-width"><?php _e( 'Border', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <div class="ipbe-input-group mr5">
                    <?php
                    $bowidth = $setting->getSetting( 'box_border_width' );
                    $bocolor = $setting->getSetting( 'box_border_color', '#222222' );
                    ?>
                    <input type="text" id="input-box-border-width" class="ipbe-input ipbe-input-xxs" name="box_border_width" value="<?php echo $bowidth; ?>">
                    <div class="ipbe-input-addon">px</div>
                </div>
                <input type="text" class="iptesti-color-picker" id="input-box-border-color" name="box_border_color" value="<?php echo $bocolor; ?>" />
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The border that surrounds the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Border radius
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-border-radius"><?php _e( 'Border Radius', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="box_border_radius" id="input-box-border-radius">
                <?php
                $current = $setting->getSetting( 'box_border_radius', 'none' );
                $styles  = array(
                    'none' => __( 'None', 'wp_testimony_plus' ),
                    'sm'   => __( 'Small', 'wp_testimony_plus' ),
                    'md'   => __( 'Medium', 'wp_testimony_plus' ),
                    'lg'   => __( 'Large', 'wp_testimony_plus' )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The border radius of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
            
        <?php
        //Space
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-space"><?php _e( 'Space with bubble box', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <div class="ipbe-input-group mr5">
                    <?php
                    $space = $setting->getSetting( 'box_space', 0 );
                    ?>
                    <input type="text" id="input-box-space" class="ipbe-input ipbe-input-xxs" name="box_space" value="<?php echo $space; ?>">
                    <div class="ipbe-input-addon">px</div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The space between the main box with the bubble box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Shadow
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-shadow"><?php _e( 'Shadow', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="box_shadow" id="input-box-shadow">
                <?php
                $current = $setting->getSetting( 'box_shadow', 'none' );
                $shadows = array(
                    'none' => __( 'None', 'wp_testimony_plus' ),
                    'sm'   => __( 'Small', 'wp_testimony_plus' ),
                    'md'   => __( 'Medium', 'wp_testimony_plus' ),
                    'lg'   => __( 'Large', 'wp_testimony_plus' )
                );
                foreach( $shadows as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The box shadow of the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Alignment
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-alignment"><?php _e( 'Alignment', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="box_alignment" id="input-box-alignment">
                <?php
                $current = $setting->getSetting( 'box_alignment', 'left' );
                $aligns  = array(
                    'left'   => __( 'Left', 'wp_testimony_plus' ),
                    'right'  => __( 'Right', 'wp_testimony_plus' ),
                    'center' => __( 'Center', 'wp_testimony_plus' )
                );
                foreach( $aligns as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The alignment of the content in the main box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
</div>