<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-comment"></i> 
            <?php _e( 'Bubble Style Options', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
            
        <?php
        //Background Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-bgcolor"><?php _e( 'Background Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <div class="ipbe-btn-onoff mr5">
                    <?php
                    $val = $setting->getSetting( 'bubble_bgcolor_on', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Color', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Transparent', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="bubble_bgcolor_on" value="<?php echo $val; ?>" />
                </div>
                <input type="text" class="iptesti-color-picker" id="input-bubble-bgcolor" name="bubble_bgcolor" value="<?php echo $setting->getSetting( 'bubble_bgcolor', '#f9f9f9' ); ?>" />
                
                <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The background color of the main bubble.', 'wp_testimony_plus' ); ?>
                </div>
                </div>
            </div>
        </div>
            
        <?php
        //Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-color"><?php _e( 'Text Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <input type="text" class="iptesti-color-picker" id="input-bubble-color" name="bubble_color" value="<?php echo $setting->getSetting( 'bubble_color', '#333333' ); ?>" />
                
                <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The text color of the main bubble.', 'wp_testimony_plus' ); ?>
                </div>
                </div>
            </div>
        </div>
            
        <?php
        //Border
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-border-width"><?php _e( 'Border', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                <div class="ipbe-input-group mr5">
                <?php
                $bowidth = $setting->getSetting( 'bubble_border_width' );
                $bocolor = $setting->getSetting( 'bubble_border_color', '#222222' );
                ?>
                <input type="text" id="input-bubble-border-width" class="ipbe-input ipbe-input-xxs" name="bubble_border_width" value="<?php echo $bowidth; ?>">
                <div class="ipbe-input-addon">px</div>
                </div>
                <input type="text" class="iptesti-color-picker" id="input-bubble-border-color" name="bubble_border_color" value="<?php echo $bocolor; ?>" />
                
                <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The border that surrounds the main bubble.', 'wp_testimony_plus' ); ?>
                </div>
                </div>
            </div>
        </div>
        
        <?php
        //Border radius
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-border-radius"><?php _e( 'Border Radius', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="bubble_border_radius" id="input-bubble-border-radius">
                <?php
                $current = $setting->getSetting( 'bubble_border_radius', 'none' );
                $styles  = array(
                    'none' => __( 'None', 'wp_testimony_plus' ),
                    'sm'   => __( 'Small', 'wp_testimony_plus' ),
                    'md'   => __( 'Medium', 'wp_testimony_plus' ),
                    'lg'   => __( 'Large', 'wp_testimony_plus' )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The border radius of the main bubble.', 'wp_testimony_plus' ); ?>
                </div>
                </div>
            </div>
        </div>
        
        <?php
        //Shadow
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-shadow"><?php _e( 'Shadow', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="bubble_shadow" id="input-bubble-shadow">
                <?php
                $current = $setting->getSetting( 'bubble_shadow', 'none' );
                $shadows = array(
                    'none' => __( 'None', 'wp_testimony_plus' ),
                    'sm'   => __( 'Small', 'wp_testimony_plus' ),
                    'md'   => __( 'Medium', 'wp_testimony_plus' ),
                    'lg'   => __( 'Large', 'wp_testimony_plus' )
                );
                foreach( $shadows as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The bubble shadow of the main bubble.', 'wp_testimony_plus' ); ?>
                </div>
                </div>
            </div>
        </div>
        
        <?php
        //Arrow
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-arrow"><?php _e( 'Bubble Arrow', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'bubble_arrow', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="bubble_arrow" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Whether to add an arrow in the bubble.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Quote
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-quote"><?php _e( 'Quote Icon', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'bubble_quote', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="bubble_quote" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Whether to add an quote icon in the bubble.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Alignment
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-bubble-alignment"><?php _e( 'Alignment', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="bubble_alignment" id="input-bubble-alignment">
                <?php
                $current = $setting->getSetting( 'bubble_alignment', 'left' );
                $aligns  = array(
                    'left'   => __( 'Left', 'wp_testimony_plus' ),
                    'right'  => __( 'Right', 'wp_testimony_plus' ),
                    'center' => __( 'Center', 'wp_testimony_plus' )
                );
                foreach( $aligns as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The alignment of the content in the bubble box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
</div>