<?php
if ( empty( $this->testimonies['items'] )) {
    return;
}
$setting = $this->style_setting;
$layout  = $setting->getSetting( 'layout_type', 'grid' );
$class   = 'iptesti_style';
$class  .= ' iptesti_layout_' . $layout;
if( $layout == 'grid' ) {
    $column = $setting->getSetting( 'grid_column', 1 );
    $class .= ' iptesti_column_' . $column;
}
$this->view( 'testimony/style' );

$attr = '';
if ( $this->schema ) {
    $attr = ' itemscope itemtype="http://schema.org/Product"';
}
?>
<div class="iptesti iptesti_testimonies"<?php echo $attr; ?>>
    <?php
    if ( $this->schema ) {
        echo '<meta itemprop="name" content="' . $this->product_name . '">';
    }
    ?>
    <div class="<?php echo $class; ?>">
        <?php
        $slide_class_1 = '';
        $slide_class_2 = '';
        $slide_attr    = '';
        if ( $layout == 'slider' ) {
            $slide_class_1 = ' iptesti_slider';
            $slide_class_2 = ' slides';
            //
            //Slide type
            $slide_attr = ' data-effect="' . $setting->getSetting( 'slider_effect', 'slide' ) . '"';
            //
            //Slide speed
            $slide_attr .= ' data-speed="' . $setting->getSetting( 'slider_speed', 1000 ) . '"';
            //
            //Slide delay
            $slide_attr .= ' data-delay="' . $setting->getSetting( 'slider_delay', 5000 ) . '"';
            //
            //Slide nav
            $slide_attr .= ' data-nav="' . $setting->getSetting( 'slider_navigation', 'control' ) . '"';
        }
        ?>
        <div class="iptesti_inner<?php echo $slide_class_1; ?>"<?php echo $slide_attr; ?>>
            <div class="iptesti_list iptesti_clear<?php echo $slide_class_2; ?>">
                <?php
                foreach( $this->testimonies['items'] as $testimony ) {
                    $this->testimony = $testimony;
                    $this->view( 'testimony/item' );
                }
                ?>
            </div>
            <?php
            $pagin  = $setting->getSetting( 'pagination', 'true' );
            if ( $layout == 'grid' && $pagin == 'true' ) {
                $this->view( 'testimony/pagination' );
            }
            ?>
        </div>
    </div>
</div>