<?php
$setting = $this->style_setting;
$layout  = $setting->getSetting( 'layout_type', 'grid' );

//
//Style Bubble
//
$position   = $setting->getSetting( 'box_position', 'top' );
$align      = $setting->getSetting( 'bubble_alignment', 'left' );
$color      = $setting->getSetting( 'bubble_color', '#333333' );
$bgcolor    = $setting->getSetting( 'bubble_bgcolor', '#f9f9f9' );
$linkcolor  = $setting->getSetting( 'bubble_link_color', '#333333' );
$hovercolor = $setting->getSetting( 'bubble_link_hover_color', '#222222' );
//
//Border
$border = '';
$bosize = $setting->getSetting( 'bubble_border_width', 0 );
if ( ! empty( $bosize )) {
    $bocolor    = $setting->getSetting( 'bubble_border_color', '#222222' );
    $border     = 'border: ' . $bosize . 'px solid ' . $bocolor . ';';
}

//
//Arrow
//
$arrow = '';
if ( $setting->getSetting( 'bubble_arrow', 'true' ) == 'true' )
{
    $arrow_width = 10 + ($bosize*2);
    if ( $position == 'top' )
    {
        $arrow = '
            .iptesti_item.iptesti_box_top .iptesti_arrow_on:after {
                border-bottom-color: ' . $bgcolor . ';
            }
        ';
        if ( ! empty( $bosize )) 
        {
            if ( $align == 'right' ) {
                $left = 'right: ' . ( 20 - ($bosize*2)) . 'px!important;';
            } elseif ( $align == 'center' ) {
                $left = '';
            } else {
                $left = 'left: ' . ( 20 - ($bosize*2)) . 'px!important;';
            }
            $top  = 2 * $arrow_width;
            $arrow .= '
                .iptesti_item.iptesti_box_top .iptesti_arrow_on:before {
                    border-bottom-color: ' . $bocolor . ';
                    border-width: ' . $arrow_width . 'px;
                    top: -' . $top . 'px;
                    ' . $left . '
                }
            ';
            if ( $align == 'center' ) 
            {
                $arrow .= '
                    .iptesti_item.iptesti_box_top .iptesti_align_center.iptesti_arrow_on:before {
                        margin-left: -' . $arrow_width .'px;
                    }
                ';
            }
        }
    } 
    elseif ( $position == 'bottom' )
    {
        $arrow = '
            .iptesti_item.iptesti_box_bottom .iptesti_arrow_on:after {
                border-top-color: ' . $bgcolor . ';
            }
        ';
        if ( ! empty( $bosize )) 
        {
            if ( $align == 'right' ) {
                $left = 'right: ' . ( 20 - ($bosize*2)) . 'px!important;';
            } elseif ( $align == 'center' ) {
                $left = '';
            } else {
                $left = 'left: ' . ( 20 - ($bosize*2)) . 'px!important;';
            }
            $bottom = 2 * $arrow_width;
            $arrow .= '
                .iptesti_item.iptesti_box_bottom .iptesti_arrow_on:before {
                    border-top-color: ' . $bocolor . ';
                    border-width: ' . $arrow_width . 'px;
                    bottom: -' . $bottom . 'px;
                    ' . $left . '
                }
            ';
            if ( $align == 'center' ) 
            {
                $arrow .= '
                    .iptesti_item.iptesti_box_bottom .iptesti_align_center.iptesti_arrow_on:before {
                        margin-left: -' . $arrow_width .'px;
                    }
                ';
            }
        }
    }
    elseif ( $position == 'left' )
    {
        $arrow = '
            .iptesti_item.iptesti_box_left .iptesti_arrow_on:after {
                border-right-color: ' . $bgcolor . ';
            }
        ';
        if ( ! empty( $bosize )) 
        {
            $top  = 15 - (2*$bosize);
            $left = 2 * $arrow_width;
            $arrow .= '
                .iptesti_item.iptesti_box_left .iptesti_arrow_on:before {
                    border-right-color: ' . $bocolor . ';
                    border-width: ' . $arrow_width . 'px;
                    top: ' . $top . 'px;
                    left: -' . $left . 'px;
                }
            ';
        }
    }
    elseif ( $position == 'right' )
    {
        $arrow = '
            .iptesti_item.iptesti_box_right .iptesti_arrow_on:after {
                border-left-color: ' . $bgcolor . ';
            }
        ';
        if ( ! empty( $bosize )) 
        {
            $top   = 15 - (2*$bosize);
            $right = 2 * $arrow_width;
            $arrow .= '
                .iptesti_item.iptesti_box_right .iptesti_arrow_on:before {
                    border-left-color: ' . $bocolor . ';
                    border-width: ' . $arrow_width . 'px;
                    top: ' . $top . 'px;
                    right: -' . $right . 'px;
                }
            ';
        }
    }
}

echo '
<style>
    .iptesti_item .iptesti_item_bubble .iptesti_bubble_inner {
        background-color:' . $bgcolor . ';
        color:' . $color . ';
        ' . $border . '
    }
    .iptesti_item .iptesti_item_bubble a {
        color:' . $linkcolor . ';
    }
    .iptesti_item .iptesti_item_bubble a:hover {
        color:' . $hovercolor . ';
    }
    ' . $arrow . '
</style>
';

//
//Style Box
//
$color      = $setting->getSetting( 'box_color', '#333333' );
$bgcolor    = $setting->getSetting( 'box_bgcolor', '#f9f9f9' );
$linkcolor  = $setting->getSetting( 'box_link_color', '#333333' );
$hovercolor = $setting->getSetting( 'box_link_hover_color', '#222222' );
$bosize     = $setting->getSetting( 'box_border_width' );
$bocolor    = $setting->getSetting( 'box_border_color', '#222222' );
$border     = 'border: ' . $bosize . 'px solid ' . $bocolor . ';';

//
//Margin
$margin = '';
if ( $space = $setting->getSetting( 'box_space', 0 ) ) 
{
    if ( $position == 'bottom' ) {
        $margin = 'margin-top:' . $space . 'px;';
    } elseif ( $position == 'left' ) {
        $margin = 'margin-right:' . $space . 'px;';
    } elseif ( $position == 'right' ) {
        $margin = 'margin-left:' . $space . 'px;';
    } else {
        $margin = 'margin-bottom:' . $space . 'px;';
    }
}

echo '
<style>
    .iptesti_item .iptesti_item_box .iptesti_box_inner {
        background-color:' . $bgcolor . ';
        color:' . $color . ';
        ' . $border . 
        $margin .
        '
    }
    .iptesti_item .iptesti_item_box a {
        color:' . $linkcolor . ';
    }
    .iptesti_item .iptesti_item_box a:hover {
        color:' . $hovercolor . ';
    }
</style>
';
?>